Index: examples/creddy_prover_tests/Makefile
===================================================================
--- examples/creddy_prover_tests/Makefile	(revision 928b1b7fc8699c802eb4e7f7fb227334f50863e2)
+++ examples/creddy_prover_tests/Makefile	(revision c6d5da3c833bd4c32c52dfb86fbdaa926594bded)
@@ -34,5 +34,5 @@
 	cd $$here; \
 	done
-	@if test `diff -q allout.save allout.cn |wc -l ` -eq 0 ; \
+	@if test -f allout.cn && test `diff -q allout.save allout.cn |wc -l ` -eq 0 ; \
 	then echo "   PASSED"; \
 	else echo "   ERROR:got changes!!!"; \
Index: examples/example_scripts/Makefile
===================================================================
--- examples/example_scripts/Makefile	(revision 928b1b7fc8699c802eb4e7f7fb227334f50863e2)
+++ examples/example_scripts/Makefile	(revision c6d5da3c833bd4c32c52dfb86fbdaa926594bded)
@@ -24,5 +24,5 @@
 	cd $$here; \
 	done 
-	@if test `diff -q allout.save allout.tmp |wc -l ` -eq 0 ; \
+	@if test -f allout.tmp && test `diff -q allout.save allout.tmp |wc -l ` -eq 0 ; \
 	then echo "   PASSED"; \
 	else echo "   ERROR:got changes!!!"; \
Index: examples/passphrase_tests/Makefile
===================================================================
--- examples/passphrase_tests/Makefile	(revision 928b1b7fc8699c802eb4e7f7fb227334f50863e2)
+++ examples/passphrase_tests/Makefile	(revision c6d5da3c833bd4c32c52dfb86fbdaa926594bded)
@@ -40,5 +40,5 @@
 	cd $$here; \
 	done 
-	@if test `diff -q allout.save allout.tmp |wc -l ` -eq 0 ; \
+	@if test -f allout.tmp && test `diff -q allout.save allout.tmp |wc -l ` -eq 0 ; \
 	then echo "   PASSED"; \
 	else echo "   ERROR:got changes!!!"; \
Index: examples/python_tests/Makefile
===================================================================
--- examples/python_tests/Makefile	(revision 928b1b7fc8699c802eb4e7f7fb227334f50863e2)
+++ examples/python_tests/Makefile	(revision c6d5da3c833bd4c32c52dfb86fbdaa926594bded)
@@ -25,5 +25,5 @@
 	cd $$here; \
 	done
-	@if test `diff -q allout.save allout.tmp |wc -l ` -eq 0 ; \
+	@if test -f allout.tmp && test `diff -q allout.save allout.tmp |wc -l ` -eq 0 ; \
 	then echo "   PASSED"; \
 	else echo "   ERROR:got changes!!!"; \
Index: examples/scaling_tests/Makefile
===================================================================
--- examples/scaling_tests/Makefile	(revision 928b1b7fc8699c802eb4e7f7fb227334f50863e2)
+++ examples/scaling_tests/Makefile	(revision c6d5da3c833bd4c32c52dfb86fbdaa926594bded)
@@ -24,5 +24,5 @@
 	cd $$here; \
 	done; 
-	@if test `diff -q allout.save allout.tmp |wc -l ` -eq 0 ; \
+	@if test -f allout.tmp && test `diff -q allout.save allout.tmp |wc -l ` -eq 0 ; \
 	then echo "   PASSED"; \
 	else echo "   ERROR:got changes!!!"; \
@@ -33,6 +33,6 @@
 	here=`pwd`; \
 	cd $$i; \
-	make plot; \
-	cd $(here); \
+	make -s plot; \
+	cd $$here; \
 	done;
 
Index: examples/scaling_tests/daisychain/likes_python/Makefile
===================================================================
--- examples/scaling_tests/daisychain/likes_python/Makefile	(revision 928b1b7fc8699c802eb4e7f7fb227334f50863e2)
+++ examples/scaling_tests/daisychain/likes_python/Makefile	(revision c6d5da3c833bd4c32c52dfb86fbdaa926594bded)
@@ -17,5 +17,4 @@
 	@make clean
 	cp ../../plotting/run_plot .
-	@make test
-	@make timing
+	@make -s timing
 	@run_plot likes
Index: examples/scaling_tests/daisychain/likes_python/base/QUERY.py
===================================================================
--- examples/scaling_tests/daisychain/likes_python/base/QUERY.py	(revision 928b1b7fc8699c802eb4e7f7fb227334f50863e2)
+++ examples/scaling_tests/daisychain/likes_python/base/QUERY.py	(revision c6d5da3c833bd4c32c52dfb86fbdaa926594bded)
@@ -96,4 +96,7 @@
     out = ctxt.query(role, p)
     endtime = datetime.datetime.now()
+    if(debug):
+        print "good query start-> %s\n" % starttime
+        print "good query end  -> %s\n" % endtime
     for c in out[1]:
         print "%s <- %s" % (c.head_string(), c.tail_string())
Index: examples/scaling_tests/daisychain/likes_python/run_one
===================================================================
--- examples/scaling_tests/daisychain/likes_python/run_one	(revision 928b1b7fc8699c802eb4e7f7fb227334f50863e2)
+++ examples/scaling_tests/daisychain/likes_python/run_one	(revision c6d5da3c833bd4c32c52dfb86fbdaa926594bded)
@@ -17,6 +17,6 @@
 cd likes_$noise
 chmod +x setup.py attr.py query.py
-./setup.py 1>/dev/null 2>& 1
-env keystore=`pwd` ./attr.py 1>/dev/null 2>& 1
+./setup.py 1> /dev/null 2>&1
+env keystore=`pwd` ./attr.py 1> attr.log 2>& 1
 
 env keystore=`pwd` ABAC_CN=1 ./query.py 1>likes.tmp 2> likes.time
@@ -26,4 +26,6 @@
     if [ $result -eq 22 ]; then
        echo "   PASSED"
+## zap out all those fake BADs
+       sed -i 's/BAD_/fakebad_/g' likes.time
        exit 0
     else  
Index: examples/scaling_tests/haystack/README
===================================================================
--- examples/scaling_tests/haystack/README	(revision 928b1b7fc8699c802eb4e7f7fb227334f50863e2)
+++ examples/scaling_tests/haystack/README	(revision c6d5da3c833bd4c32c52dfb86fbdaa926594bded)
@@ -1,4 +1,4 @@
 
-   To demostrate scalability of libabac, noise is introduced into the
+   To demonstrate scalability of libabac, noise is introduced into the
 yap prolog db by adding extraneous attribute and principal credentials.
 Valid queries are made and the result is validated. 
Index: examples/scaling_tests/haystack/fruit_python/run_one
===================================================================
--- examples/scaling_tests/haystack/fruit_python/run_one	(revision 928b1b7fc8699c802eb4e7f7fb227334f50863e2)
+++ examples/scaling_tests/haystack/fruit_python/run_one	(revision c6d5da3c833bd4c32c52dfb86fbdaa926594bded)
@@ -20,5 +20,5 @@
 chmod +x setup.py attr.py query.py
 ./setup.py 1>/dev/null 2>& 1
-env keystore=`pwd` ./attr.py 1>/dev/null 2>& 1
+env keystore=`pwd` ./attr.py 1> attr.log 2>& 1
 env keystore=`pwd` ABAC_CN=1 ./query.py 1>fruit.tmp 2> fruit.time
 result=`diff fruit.tmp fruit.save 2>/dev/null`
